# Funds/Rate

## Batch query deposit and withdrawal exchange rates for currency pairs

> bizType=fund.app.FundExchangeRateQueryService.getExchangeRateList\
> Batch query deposit and withdrawal exchange rates for currency pairs\
> Accessible to visitors\
> version: 0.0.1

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Funds/Rate"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/fund.app.FundExchangeRateQueryService.getExchangeRateList":{"post":{"summary":"Batch query deposit and withdrawal exchange rates for currency pairs","deprecated":false,"description":"bizType=fund.app.FundExchangeRateQueryService.getExchangeRateList\nBatch query deposit and withdrawal exchange rates for currency pairs\nAccessible to visitors\nversion: 0.0.1","operationId":"getExchangeRateList","tags":["Funds/Rate"],"parameters":[{"name":"version","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"token","in":"header","description":"","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundExchangeRateBatchQueryDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultListExchangeRateConvertDto"}}},"headers":{}}}}}},"components":{"schemas":{"FundExchangeRateBatchQueryDto":{"type":"object","required":["companyId","currencies"],"properties":{"companyId":{"type":"integer","format":"int64","description":"Company ID"},"trace":{"type":"string","description":"Tracking code"},"ip":{"type":"string","description":"Operation IP"},"lang":{"type":"string","description":"Request Language"},"currencies":{"type":"array","description":"Exchange currency pair list, non-empty, maximum length of list is 50","items":{"$ref":"#/components/schemas/CurrencyPair"},"maxItems":50,"minItems":1}}},"CurrencyPair":{"type":"object","properties":{"source":{"type":"string","description":"Source Currency Code"},"target":{"type":"string","description":"Target Currency Code"}}},"BaseResultListExchangeRateConvertDto":{"type":"object","properties":{"bizCode":{"type":"string","description":"Module identifier code"},"code":{"type":"string","description":"Status return code"},"msg":{"type":"string","description":"Status description"},"tm":{"type":"integer","format":"int64","description":"Processing time (milliseconds)"},"trace":{"type":"string","description":"Tracking code"},"msgParams":{"type":"string","description":"Placeholder parameter string in return description, multiple parameters separated by commas"},"data":{"type":"array","description":"Data Body","items":{"$ref":"#/components/schemas/ExchangeRateConvertDto"}},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}},"ExchangeRateConvertDto":{"type":"object","properties":{"rate":{"type":"string","description":"Exchange rate"},"formulaSymbol":{"type":"string","description":"Calculation rule multiply or divide, value is multiply or divide"},"sourceDigits":{"type":"integer","format":"int32","description":"Decimal places of source currency"},"targetDigits":{"type":"integer","format":"int32","description":"Decimal places of target currency"},"sourceCurrency":{"type":"string","description":"Source Currency Code"},"targetCurrency":{"type":"string","description":"Target Currency Code"}}}}}}
```

## Query the Trading Exchange Rate of Currency Pairs

> bizType=fund.app.FundExchangeRateQueryService.getTradeExchangeRate\
> Query the Trading Exchange Rate of Currency Pairs\
> version: 0.0.1

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Funds/Rate"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/fund.app.FundExchangeRateQueryService.getTradeExchangeRate":{"post":{"summary":"Query the Trading Exchange Rate of Currency Pairs","deprecated":false,"description":"bizType=fund.app.FundExchangeRateQueryService.getTradeExchangeRate\nQuery the Trading Exchange Rate of Currency Pairs\nversion: 0.0.1","operationId":"getExchangeRateList","tags":["Funds/Rate"],"parameters":[{"name":"version","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"companyId","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"","required":true,"schema":{"type":"string"}},{"name":"token","in":"header","description":"","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"companyId":{"type":"string","description":"Company ID"},"trace":{"type":"string","description":"Tracking code"},"ip":{"type":"string","description":"IP"},"lang":{"type":"string","description":"Language"},"sourceCurrency":{"type":"string","description":"Source Currency Code"},"targetCurrency":{"type":"string","description":"Target Currency Code"}},"required":["sourceCurrency","targetCurrency","trace"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"Status return code"},"msg":{"type":"string","description":"Status description"},"tm":{"type":"string","description":"Processing time (milliseconds)"},"trace":{"type":"string","description":"Tracking code"},"msgParams":{"type":"string","description":"Placeholder parameter string in return description, multiple parameters separated by commas"},"data":{"$ref":"#/components/schemas/ExchangeRateConvertDto"},"ok":{"type":"string"},"fail":{"type":"string"}}}}},"headers":{}}}}}},"components":{"schemas":{"ExchangeRateConvertDto":{"type":"object","properties":{"rate":{"type":"string","description":"Exchange rate"},"formulaSymbol":{"type":"string","description":"Calculation rule multiply or divide, value is multiply or divide"},"sourceDigits":{"type":"integer","format":"int32","description":"Decimal places of source currency"},"targetDigits":{"type":"integer","format":"int32","description":"Decimal places of target currency"},"sourceCurrency":{"type":"string","description":"Source Currency Code"},"targetCurrency":{"type":"string","description":"Target Currency Code"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.multimarkets.org/client-api/more.../funds-rate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
